# Memcached::replace

(PECL memcached >= 0.1.0)

Memcached::replace — Remplace un élément sous une clé

### Description

public Memcached::replace(string `$key`, mixed `$value`, int `$expiration` = 0): bool

Memcached::replace() est similaire à Memcached::set(), mais l'opération va échouer si la clé `key` n'existe pas sur le serveur.

### Liste de paramètres

`key`

  La clé avec laquelle stocker la valeur.

`value`

  La valeur à stocker.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. La méthode Memcached::getResultCode() retourne `Memcached::RES_NOTFOUND` si la clé n'existe pas.

### Voir aussi

- Memcached::replaceByKey() - Remplace un élément spécifique sur un serveur désigné
- Memcached::set() - Stocke un élément
- Memcached::add() - Ajoute un nouvel élément sous une nouvelle clé